$( document ).ready(function() {
	/*** Scroll To Top ***/
	var $scrollToTop = $('#scrollToTop');
	var $scrollToTopInner = $('#scrollToTop .scrollToTopInner');
	var $window = $(window).scroll(function() {
		if($window.scrollTop() > 200) {
			if(!$scrollToTop.is(':visible')) {
				$scrollToTop.stop(true, true).fadeIn();
			}
		} else {
			if(!$scrollToTop.is(':animated')) {
				$scrollToTop.stop(true, true).fadeOut();
			}
		}
	});
	
	var $style = $scrollToTopInner.attr('style');
	var $styleBG = $scrollToTop.attr('style');
	var $styleHover = $scrollToTopInner.attr('data-style');
	var $styleBGHover = $scrollToTop.attr('data-style');
	
	$scrollToTop.hover(
		function() {
			$scrollToTop.attr('style',getPos($window) + $styleBGHover);
			$scrollToTopInner.attr('style',$styleHover);
	  	}, 
		function() {
			$scrollToTop.attr('style',getPos($window) + $styleBG);
			$scrollToTopInner.attr('style',$style);
	  	}
	 );
	
	$scrollToTop.click(function(event) {
		event.preventDefault();
		$('html,body').animate({ scrollTop: $('html').offset().top}, { duration: $scrollToTop.attr('data-speed'), easing: $scrollToTop.attr('data-easing')});
		//console.log($scrollToTop.attr('data-easing') + ' - ' + $scrollToTop.attr('data-speed'));
		return false;
	});
	
	function getPos($window) {
		if($window.scrollTop() > 200) {
			return 'display:inline;';
		} else {
			return 'display:none;';
		}
	}
});